using Demo.Data.RemoteData.RemoteDataBase.DAO;
using Demo.domain.Models;
using System.Collections.Generic;

namespace Demo.Data.Repository
{
    public interface IUserRepository
    {
        IEnumerable<UserDao> GetAllUsers { get; }
        bool RemoveUserById(int userId);
        UserDao? UpdateUser(UserDao user);
    }
}
